ON_ROOM_LOAD
  PreloadSpriteSet("Graphics/Critters/x30/Smallfish/wakeup")
  PreloadSpriteSet("Graphics/Objects/x30/s-ryba-talk")
  PreloadSpriteSet("Graphics/Objects/x30/seaurchin/urchin1")
  PreloadSpriteSet("Graphics/Objects/x30/seaurchin/urchin2")
  PreloadSpriteSet("Graphics/Objects/x30/seaurchin/urchin3")
end

ON_ROOM_BEGIN
  InitAnim(frozen_guppy)
  PlayAnim(frozen_guppy, 240)
end

ON_MOVE_END frozen_guppy
  DISABLE_CONTROL
  PlayNewAnim(frozen_guppy, "Graphics/Critters/x30/Smallfish/wakeup", 56, 3.6)
    START_DLG objekt
      OBJECT_SAY v1 frozen_guppy x
      SAY v2
    STOP_DLG objekt
  SLEEP 2
  DISABLE
  ENABLE_CONTROL
end

ON_ROOM_BEGIN
  PAUSE 0.0
  if math.random(0,0) == 0 then
     DISABLE_CONTROL
    START_DLG open
      SAY v1
      SAY_TO_PLAYER v2
    STOP_DLG open
     ENABLE_CONTROL
  end
end

ON_STAR_COLLECT star1
  PAUSE 0.0
  if math.random(0,0) == 0 then
    START_DLG star
      SAY v1
    STOP_DLG star
  end
end

ON_STAR_COLLECT star2
  PAUSE 0.0
  if math.random(0,0) == 0 then
    START_DLG star
      SAY v1
    STOP_DLG star
  end
end

ON_STAR_COLLECT star3
  PAUSE 0.0
  if math.random(0,0) == 0 then
    START_DLG star
      SAY v1
    STOP_DLG star
  end
end

ON_STAR_COLLECT star4
  PAUSE 0.0
  if math.random(0,0) == 0 then
    START_DLG star
      SAY v1
    STOP_DLG star
  end
end

ON_STAR_COLLECT star5
  PAUSE 0.0
  if math.random(0,0) == 0 then
    START_DLG star
      SAY v1
    STOP_DLG star
  end
end

ON_TIMER 1.5
  if math.random() < 0.3 then
     PlayNewAnim(j1, "Graphics/Objects/x30/seaurchin/urchin1", 3, 0.3)
  end
end

ON_TIMER 1.0
  if math.random() < 0.2 then
     PlayNewAnim(j2, "Graphics/Objects/x30/seaurchin/urchin2", 3, 0.3)
  end
end

ON_TIMER 0.5
  if math.random() < 0.1 then
     PlayNewAnim(j3, "Graphics/Objects/x30/seaurchin/urchin3", 3, 0.3)
  end
end

ON_DISAPPEAR frozen_guppy
  START_DLG exit
     DISABLE_END
      SAY v1
     ENABLE_END
  STOP_DLG exit
end

ON_DEATH flounder
  PAUSE 0.0
  if math.random(0,0) == 0 then
    START_DEATH_DLG death
      SAY v1
    STOP_DLG death
  end
end